#ifndef WINDOW_FUNCTIONS_H
#define	WINDOW_FUNCTIONS_H
//In dieser Datei sind alle Funktionen definiert die ich fuer Fensterfunktionen brauche
//Das sind: Fensterfunktion
//Fouriertransformierte davon

#include "wabor_t_definitions.h"
#include <complex.h>

PURE_FUNCTION pac_type wabor_t_wf_win_cos(pac_type_real t, pac_type_real h, pac_type_real wl, pac_type_real wl_c);
PURE_FUNCTION pac_type wabor_t_wf_WIN_COS(pac_type_real f, pac_type_real h, pac_type_real wl, pac_type_real wl_c);

PURE_FUNCTION pac_type wabor_t_wf_win_sqrt_gauss(pac_type_real t, pac_type_real h, pac_type_real wl, pac_type_real wl_c);
PURE_FUNCTION pac_type wabor_t_wf_WIN_SQRT_GAUSS(pac_type_real f, pac_type_real h, pac_type_real wl, pac_type_real SR);

PURE_FUNCTION pac_type wabor_t_WF_win_bspline2(pac_type_real t, pac_type_real h, pac_type_real wl, pac_type_real UNUSED wl_c);
PURE_FUNCTION pac_type wabor_t_WF_WIN_BSPLINE2(pac_type_real f, pac_type_real h, pac_type_real wl, pac_type_real UNUSED wl_c);

PURE_FUNCTION pac_type centered_bspline(pac_type_real f, int n);

#endif	// WINDOW_FUNCTIONS_H